Loading...
Searching...
No Matches
Opm::SimpleModularFluidState< ScalarT, numPhasesV, numComponentsV, FluidSystem, storePressure, storeTemperature, storeComposition, storeFugacity, storeSaturation, storeDensity, storeViscosity, storeEnthalpy > Class Template Reference

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium. More...

`#include <SimpleModularFluidState.hpp>`

Inheritance diagram for Opm::SimpleModularFluidState< ScalarT, numPhasesV, numComponentsV, FluidSystem, storePressure, storeTemperature, storeComposition, storeFugacity, storeSaturation, storeDensity, storeViscosity, storeEnthalpy >:

## Additional Inherited Members

Public Types inherited from Opm::ModularFluidState< ScalarT, numPhasesV, numComponentsV, std::conditional< storePressure, FluidStateExplicitPressureModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullPressureModule< ScalarT > >::type, std::conditional< storeTemperature, FluidStateExplicitTemperatureModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullTemperatureModule< ScalarT > >::type, std::conditional< storeComposition, FluidStateExplicitCompositionModule< ScalarT, FluidSystem, OPM_SMFS >, FluidStateNullCompositionModule< ScalarT > >::type, std::conditional< storeFugacity, FluidStateExplicitFugacityModule< ScalarT, numPhasesV, numComponentsV, OPM_SMFS >, FluidStateNullFugacityModule< ScalarT > >::type, std::conditional< storeSaturation, FluidStateExplicitSaturationModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullSaturationModule< ScalarT > >::type, std::conditional< storeDensity, FluidStateExplicitDensityModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullDensityModule< ScalarT, numPhasesV, OPM_SMFS > >::type, std::conditional< storeViscosity, FluidStateExplicitViscosityModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullViscosityModule< ScalarT, numPhasesV, OPM_SMFS > >::type, std::conditional< storeEnthalpy, FluidStateExplicitEnthalpyModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullEnthalpyModule< ScalarT, numPhasesV, OPM_SMFS > >::type >

enum |
enum |
typedef ScalarT | Scalar

Public Member Functions inherited from Opm::ModularFluidState< ScalarT, numPhasesV, numComponentsV, std::conditional< storePressure, FluidStateExplicitPressureModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullPressureModule< ScalarT > >::type, std::conditional< storeTemperature, FluidStateExplicitTemperatureModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullTemperatureModule< ScalarT > >::type, std::conditional< storeComposition, FluidStateExplicitCompositionModule< ScalarT, FluidSystem, OPM_SMFS >, FluidStateNullCompositionModule< ScalarT > >::type, std::conditional< storeFugacity, FluidStateExplicitFugacityModule< ScalarT, numPhasesV, numComponentsV, OPM_SMFS >, FluidStateNullFugacityModule< ScalarT > >::type, std::conditional< storeSaturation, FluidStateExplicitSaturationModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullSaturationModule< ScalarT > >::type, std::conditional< storeDensity, FluidStateExplicitDensityModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullDensityModule< ScalarT, numPhasesV, OPM_SMFS > >::type, std::conditional< storeViscosity, FluidStateExplicitViscosityModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullViscosityModule< ScalarT, numPhasesV, OPM_SMFS > >::type, std::conditional< storeEnthalpy, FluidStateExplicitEnthalpyModule< ScalarT, numPhasesV, OPM_SMFS >, FluidStateNullEnthalpyModule< ScalarT, numPhasesV, OPM_SMFS > >::type >

void | checkDefined () const
| Make sure that all attributes are defined.
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.

## Detailed Description

template<class ScalarT, unsigned numPhasesV, unsigned numComponentsV, class FluidSystem, bool storePressure, bool storeTemperature, bool storeComposition, bool storeFugacity, bool storeSaturation, bool storeDensity, bool storeViscosity, bool storeEnthalpy>
class Opm::SimpleModularFluidState< ScalarT, numPhasesV, numComponentsV, FluidSystem, storePressure, storeTemperature, storeComposition, storeFugacity, storeSaturation, storeDensity, storeViscosity, storeEnthalpy >

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium.

This class uses simpler and slightly less flexible template parameters as ModularFluidState. Except for this, it is identical.

The documentation for this class was generated from the following file:

- opm/material/fluidstates/SimpleModularFluidState.hpp